Subject: Re: [PATCH v3 6/6] cgroup: Assign subsystem IDs during compile time

From: Daniel Wagner <[email-masked]>
Date: Tue, 14 Aug 2012 23:01:28 +0200

Hi Tejun,

On 08/14/2012 07:27 PM, Tejun Heo wrote:
> On Tue, Aug 14, 2012 at 03:02:23PM +0200, Daniel Wagner wrote:
>> From: Daniel Wagner <[email-masked]>
>>
>> We are able to safe some space when we assign the subsystem
>> IDs at compile time. Instead of allocating per cgroup
>> cgroup->subsys[CGROUP_SUBSYS_COUNT] where CGROUP_SUBSYS_COUNT is
>> always 64, we allocate 12 + 1 at max (at this point there are 12
>> subsystem). The additinal one is the price we have to pay to
>> distinguish between builtin and module subsystems.
>>
>> We should only access task_cls_classid() and task_netprioidx()
>> if the subsystem is ready to be used using jump labels for this.
>
> I think I want to like this patch but it's kinda confusing to review.
> Is there any reasonable way that you can split the core changes from
> net_cls ones?

My bad, sorry about that. Sure, I'll split the patches into smaller 
pieces and remove net_cls updating part as Neil has requested. You will 
get someting to review on Thursday, since tomorrow I am out of office.

thanks,
daniel